package zero1hd.polyjet.audio.map;

import zero1hd.polyjet.entity.Entities;

public class EntitySpawnInfo {
	private Entities entityType;
	private float[] parameters;
	private int spawnWindowID;
	
	public EntitySpawnInfo(Entities entityType, int spawnWindowID, float... parameters) {
		this.entityType = entityType;
		this.parameters = parameters;
		this.spawnWindowID = spawnWindowID;
	}
	
	public Entities getEntityType() {
		return entityType;
	}
	
	@Override
	public String toString() {
		return entityType.name() + ": " + parameters.length;
	}
	
	public float[] getParameters() {
		return parameters;
	}
	
	public int getSpawnWindowID() {
		return spawnWindowID;
	}
}
